Maxxton External API

Sections

Get paymentlink for a reservation

Header Parameters

localestring

The name field in paymentPage generate along with the infoTexts will be translated according to the locale passed, example for possible values: en(English), nl(Dutch), fr(French) etc.

Query Parameters

acceptUrlstring

URL where the customer should be redirected to in case of a successful payment. This parameter is only supported in legacy Ingenico and not supported in Ingenico Direct

authorizeboolean

When the value is set to true, the customer's credit card details will be authorized with the given amount, and a reservation payment token will be generated for future payments.

Default value
false
cancelUrlstring

URL where the customer should be redirected to in case of a canceled payment. This parameter is only supported in legacy Ingenico and not supported in Ingenico Direct

countryCodestring

CountryCode(e.g. NL/FR) required to fetch the correct payment methods from Ingenico to be used with paymentMethods parameter. This countrycode is not impacting the actual language or locale of the Ingenico page

currencyCodestring Required

Code of currency in which payment will be charged

declineUrlstring

URL where the customer should be redirected to in case of a declined payment. This parameter is only supported in legacy Ingenico and not supported in Ingenico Direct

exceptionUrlstring

URL where the customer should be redirected to in case of a failed payment. This parameter is only supported in legacy Ingenico and not supported in Ingenico Direct

homeUrlstring

Home Url of website. This parameter is only supported in legacy Ingenico and not supported in Ingenico Direct

payerTypestring Required

Payer type of payment

Enum values:
PAYING_CUSTOMERAGENTCUSTOMER
paymentMethodsarray

Payment methods list which will be shown on payment page. Incase not provided all configured payment methods will be shown. To restrict the payment methods, take the paymentMethod field values from the following endpoint https://developers.maxxton.com/rest-api/reservations-2/paymentmethods-1/get-all-paymentmethods-for-a-reservation Then, pass the paymentMethod obtained from this endpoint in the generatePaymentLink requestParam.

pricenumber Required

Amount to be paid, this can be the full reservation amount or part of it.

returnUrlstring

The returnUrl parameter specifies the URL to which a customer is redirected after completing a transaction on the Ingenico Direct payment page. This parameter is specific to Ingenico Direct and simplifies the redirection process by consolidating multiple URL parameters used in the legacy Ingenico platform into a single parameter. In the legacy platform, separate URLs (such as declineUrl, acceptUrl, cancelUrl, homeUrl, and exceptionUrl) are used based on the transaction result. These fi...

storeCCboolean

When the value is set to true, the customer's credit card details will be saved, and a reservation payment token will be generated for further payments

Path Parameters

reservationIdinteger Required

The reservation id defines the reservation the payment goes to. When a payment comes in from Ingenico the open amount of this reservation will be deducted with the amount paid at Ingenico.

Response

200
Object
The request is completed successfully without any errors

Response Attributes

urlstring
500
Object
Error occurred while creating payment page link

GET

/

Select
1

Response